## dods.dap
Class DefaultFactory

    java.lang.Object
      dods.dap.DefaultFactory

All Implemented Interfaces:
  BaseTypeFactory

public class DefaultFactory
extends Object
implements BaseTypeFactory

The default client-side Factory for BaseType objects.

See Also:
  `BaseTypeFactory`

Constructor Summary
`DefaultFactory()`

Method Summary
`DArray` `newDArray()` Construct a new DArray.
`DArray` `newDArray(String n)` Construct a new DArray with name n.
`DByte` `newDByte()` Construct a new DByte.
`DByte` `newDByte(String n)` Construct a new DByte with name n.
`DFloat32` `newDFloat32()` Construct a new DFloat32.
`DFloat32` `newDFloat32(String n)` Construct a new DFloat32 with name n.
`DFloat64` `newDFloat64()` Construct a new DFloat64.
`DFloat64` `newDFloat64(String n)` Construct a new DFloat64 with name n.
`DGrid` `newDGrid()` Construct a new DGrid.
`DGrid` `newDGrid(String n)` Construct a new DGrid with name n.
`DInt16` `newDInt16()` Construct a new DInt16.
`DInt16` `newDInt16(String n)` Construct a new DInt16 with name n.
`DInt32` `newDInt32()` Construct a new DInt32.
`DInt32` `newDInt32(String n)` Construct a new DInt32 with name n.
`DList` `newDList()` Construct a new DList.
`DList` `newDList(String n)` Construct a new DList with name n.
`DSequence` `newDSequence()` Construct a new DSequence.
`DSequence` `newDSequence(String n)` Construct a new DSequence with name n.
`DString` `newDString()` Construct a new DString.
`DString` `newDString(String n)` Construct a new DString with name n.
`DStructure` `newDStructure()` Construct a new DStructure.
`DStructure` `newDStructure(String n)` Construct a new DStructure with name n.
`DUInt16` `newDUInt16()` Construct a new DUInt16.
`DUInt16` `newDUInt16(String n)` Construct a new DUInt16 with name n.
`DUInt32` `newDUInt32()` Construct a new DUInt32.
`DUInt32` `newDUInt32(String n)` Construct a new DUInt32 with name n.
`DURL` `newDURL()` Construct a new DURL.
`DURL` `newDURL(String n)` Construct a new DURL with name n.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFactory

    public DefaultFactory()

Method Detail

### newDByte

    public DByte newDByte()

  Construct a new DByte.

  Specified by:
    `newDByte` in interface `BaseTypeFactory`
  Returns:
    the new DByte

### newDByte

    public DByte newDByte(String n)

  Construct a new DByte with name n.

  Specified by:
    `newDByte` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DByte

### newDInt16

    public DInt16 newDInt16()

  Construct a new DInt16.

  Specified by:
    `newDInt16` in interface `BaseTypeFactory`
  Returns:
    the new DInt16

### newDInt16

    public DInt16 newDInt16(String n)

  Construct a new DInt16 with name n.

  Specified by:
    `newDInt16` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DInt16

### newDUInt16

    public DUInt16 newDUInt16()

  Construct a new DUInt16.

  Specified by:
    `newDUInt16` in interface `BaseTypeFactory`
  Returns:
    the new DUInt16

### newDUInt16

    public DUInt16 newDUInt16(String n)

  Construct a new DUInt16 with name n.

  Specified by:
    `newDUInt16` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DUInt16

### newDInt32

    public DInt32 newDInt32()

  Construct a new DInt32.

  Specified by:
    `newDInt32` in interface `BaseTypeFactory`
  Returns:
    the new DInt32

### newDInt32

    public DInt32 newDInt32(String n)

  Construct a new DInt32 with name n.

  Specified by:
    `newDInt32` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DInt32

### newDUInt32

    public DUInt32 newDUInt32()

  Construct a new DUInt32.

  Specified by:
    `newDUInt32` in interface `BaseTypeFactory`
  Returns:
    the new DUInt32

### newDUInt32

    public DUInt32 newDUInt32(String n)

  Construct a new DUInt32 with name n.

  Specified by:
    `newDUInt32` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DUInt32

### newDFloat32

    public DFloat32 newDFloat32()

  Construct a new DFloat32.

  Specified by:
    `newDFloat32` in interface `BaseTypeFactory`
  Returns:
    the new DFloat32

### newDFloat32

    public DFloat32 newDFloat32(String n)

  Construct a new DFloat32 with name n.

  Specified by:
    `newDFloat32` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DFloat32

### newDFloat64

    public DFloat64 newDFloat64()

  Construct a new DFloat64.

  Specified by:
    `newDFloat64` in interface `BaseTypeFactory`
  Returns:
    the new DFloat64

### newDFloat64

    public DFloat64 newDFloat64(String n)

  Construct a new DFloat64 with name n.

  Specified by:
    `newDFloat64` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DFloat64

### newDString

    public DString newDString()

  Construct a new DString.

  Specified by:
    `newDString` in interface `BaseTypeFactory`
  Returns:
    the new DString

### newDString

    public DString newDString(String n)

  Construct a new DString with name n.

  Specified by:
    `newDString` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DString

### newDURL

    public DURL newDURL()

  Construct a new DURL.

  Specified by:
    `newDURL` in interface `BaseTypeFactory`
  Returns:
    the new DURL

### newDURL

    public DURL newDURL(String n)

  Construct a new DURL with name n.

  Specified by:
    `newDURL` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DURL

### newDArray

    public DArray newDArray()

  Construct a new DArray.

  Specified by:
    `newDArray` in interface `BaseTypeFactory`
  Returns:
    the new DArray

### newDArray

    public DArray newDArray(String n)

  Construct a new DArray with name n.

  Specified by:
    `newDArray` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DArray

### newDList

    public DList newDList()

  Construct a new DList.

  Specified by:
    `newDList` in interface `BaseTypeFactory`
  Returns:
    the new DList

### newDList

    public DList newDList(String n)

  Construct a new DList with name n.

  Specified by:
    `newDList` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DList

### newDGrid

    public DGrid newDGrid()

  Construct a new DGrid.

  Specified by:
    `newDGrid` in interface `BaseTypeFactory`
  Returns:
    the new DGrid

### newDGrid

    public DGrid newDGrid(String n)

  Construct a new DGrid with name n.

  Specified by:
    `newDGrid` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DGrid

### newDStructure

    public DStructure newDStructure()

  Construct a new DStructure.

  Specified by:
    `newDStructure` in interface `BaseTypeFactory`
  Returns:
    the new DStructure

### newDStructure

    public DStructure newDStructure(String n)

  Construct a new DStructure with name n.

  Specified by:
    `newDStructure` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DStructure

### newDSequence

    public DSequence newDSequence()

  Construct a new DSequence.

  Specified by:
    `newDSequence` in interface `BaseTypeFactory`
  Returns:
    the new DSequence

### newDSequence

    public DSequence newDSequence(String n)

  Construct a new DSequence with name n.

  Specified by:
    `newDSequence` in interface `BaseTypeFactory`
  Parameters:
    `n` - the variable name
  Returns:
    the new DSequence